Summary: 	Panel for the Matchbox Desktop
Name: 		matchbox-panel
Version: 	0.9.3
Release: 	%mkrel 7
Url: 		http://matchbox-project.org/
License: 	GPLv2+
Group: 		Graphical desktop/Other
Source0: 	http://matchbox-project.org/sources/%name/0.9/%name-%version.tar.bz2
Patch0:		matchbox-panel-0.9.3-linking.patch
Patch1:		matchbox-panel-0.9.3-automake-1.13.patch
BuildRequires:	pkgconfig libmatchbox-devel libapm-devel startup-notification-devel libiw-devel

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the panel from Matchbox.

%prep
%setup -q
%apply_patches

#fix desktop files
sed -i -e 's,\(Icon=.*\)\.png,\1,g' applets/dotdesktop/*.desktop

%build
autoreconf -vfi
%configure2_5x \
	--enable-nls \
	--enable-dnotify \
	--enable-startup-notification
%make

%install
%makeinstall_std

desktop-file-install \
	--vendor="" \
	--set-key="Type" \
	--set-value="Application" \
	--remove-category="MB" \
	--remove-category="Panel" \
	--dir=%{buildroot}%{_datadir}/applications/ \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %name

%files -f %name.lang
%doc AUTHORS README ChangeLog
%_bindir/*
%_datadir/pixmaps/*
%_datadir/applications/*





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-7.mga3
+ Revision: 359426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.9.3-6.mga3
+ Revision: 345494
- fix build with latest automake 1.13
- rebuild for new iw

* Fri Dec 28 2012 wally <wally> 0.9.3-5.mga3
+ Revision: 335896
- fix desktop files
- add patch to fix linking
- clean .spec a bit

* Sun Apr 10 2011 dmorgan <dmorgan> 0.9.3-4.mga1
+ Revision: 82928
- imported package matchbox-panel

